## letterize 1.3

=== Makefile ===
#
# Makefille for the phone-number letterizer
#
VERS=$(shell sed <letterize.spec -n -e '/Version: \(.*\)/s//\1/p')

all: letterize

letterize: letterize.c

SOURCES = README COPYING letterize.xml Makefile letterize.c letterize.spec

letterize.1: letterize.xml
	xmlto man letterize.xml

letterize.html: letterize.xml
	xmlto html-nochunks letterize.xml

letterize-$(VERS).tar.gz: $(SOURCES) letterize.1
	@ls $(SOURCES) letterize.1 | sed s:^:letterize-$(VERS)/: >MANIFEST
	@(cd ..; ln -s letterize letterize-$(VERS))
	(cd ..; tar -czf letterize/letterize-$(VERS).tar.gz `cat letterize/MANIFEST`)
	@(cd ..; rm letterize-$(VERS))

clean:
	rm -f letterize letterize.tar letterize*.gz letterize*.rpm
	rm -f *~ *.1 *.html MANIFEST SHIPPER.*

install: uninstall letterize.1
	cp letterize /usr/bin
	cp letterize.1 /usr/share/man/man1/letterize.1

uninstall:
	rm -f /usr/bin/letterize /usr/share/man/man1/letterize.1

dist: letterize-$(VERS).tar.gz

release: letterize-$(VERS).tar.gz letterize.html
	shipper -u -m -t; make clean

=== debian/changelog ===
letterize (1.3-3) unstable; urgency=low

  * Fix typo in CPPFLAGS patch (closes: #674967)
  * Switch to a machine-readable copyright file

 -- Francois Marier <francois@debian.org>  Tue, 29 May 2012 19:02:30 +1200

letterize (1.3-2) unstable; urgency=low

  * Add compile/linking flags to the Makefile to get a hardened binary
  * Fix lintian warning in copyright file
  * Bump debhelper compatibility to 9
  * Bump Standards-Version to 3.9.3

 -- Francois Marier <francois@debian.org>  Mon, 28 May 2012 15:36:37 +1200

letterize (1.3-1) unstable; urgency=low

  * Initial release (Closes: #600903)

 -- Francois Marier <francois@debian.org>  Thu, 21 Oct 2010 22:37:13 +1300

=== debian/control ===
Source: letterize
Section: misc
Priority: extra
Maintainer: Francois Marier <francois@debian.org>
Build-Depends: debhelper (>= 9), xmlto
Standards-Version: 3.9.3
Homepage: http://www.catb.org/~esr/letterize/
Vcs-Git: git://git.debian.org/collab-maint/letterize.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/letterize.git;a=summary

Package: letterize
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: phone digits to letter-mnemonics
 Tool which generates alphabetic mnemonics for a phone number,
 then filters them for phonetic plausibility in English.

=== debian/watch ===
version=3
http://www.catb.org/~esr/letterize/ letterize-(.*)\.tar\.gz

## letterize 1.4

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 #
 # Makefille for the phone-number letterizer
 #
-VERS=$(shell sed <letterize.spec -n -e '/Version: \(.*\)/s//\1/p')
+VERS=1.4
 
 all: letterize
 
 letterize: letterize.c
 
-SOURCES = README COPYING letterize.xml Makefile letterize.c letterize.spec
+SOURCES = README COPYING NEWS letterize.xml Makefile letterize.c
 
 letterize.1: letterize.xml
 	xmlto man letterize.xml
@@ -23,7 +23,7 @@
 
 clean:
 	rm -f letterize letterize.tar letterize*.gz letterize*.rpm
-	rm -f *~ *.1 *.html MANIFEST SHIPPER.*
+	rm -f *~ *.1 *.html MANIFEST
 
 install: uninstall letterize.1
 	cp letterize /usr/bin
@@ -35,4 +35,7 @@
 dist: letterize-$(VERS).tar.gz
 
 release: letterize-$(VERS).tar.gz letterize.html
-	shipper -u -m -t; make clean
+	shipper version=$(VERS) | sh -e -x
+
+refresh: letterize.html
+	shipper -N -w version=$(VERS) | sh -e -x

=== debian/changelog ===
letterize (1.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/cross.patch: Make build cross-buildable (Closes: #991105)
  * Add autopkgtests (Closes: #991108)
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Drop compat file, rely on debhelper-compat and bump compat level to 13
  * Add "Rules-Requires-Root: no"
  * Add d/salsa-ci.yml

 -- Nilesh Patra <nilesh@debian.org>  Mon, 06 Sep 2021 22:42:57 +0530

letterize (1.4-2) unstable; urgency=medium

  * debian/changelog:
    - Remove trailing whitespaces.
  * debian/control:
    - Bump Standards-Version to 4.1.3.
    - Bump debhelper dependency to >= 11 instead of >= 9.
    - Update Vcs-* fields (salsa migration).
    - Set priority to optional (extra deprecated).
  * Bump debian/compat to 11.
  * debian/copyright:
    - Update copyright years.
  * debian/rules:
    - Build with all hardening flags.
  * Update debian/watch to version 4.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 24 Mar 2018 18:41:28 +0100

letterize (1.4-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - Refresh patches for new upstream release.
  * debian/control:
    - Use https for the Vcs-Browser field.
  * debian/copyright:
    - Use https for the Format field.
  * debian/control, debian/copyright:
    - Update the Maintainer's e-mail address.
  * debian/rules:
    - Add an override_dh_installchangelogs rule to install
      upstream changelog NEWS.

 -- Hugo Lefeuvre <hle@debian.org>  Fri, 25 Sep 2015 12:29:29 +0200

letterize (1.3-7) unstable; urgency=medium

  [ Hugo Lefeuvre ]
  * Upload to unstable

  [ Francois Marier ]
  * Run wrap-and-sort

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Fri, 04 Sep 2015 17:39:52 +0200

letterize (1.3-6) experimental; urgency=low

  * New Maintainer (Closes: #777097).
  * debian/control:
    - Set Hugo Lefeuvre as Maintainer.
    - Fix broken Vcs-Browser field.
    - Complete Description field.
  * debian/copyright:
    - Update copyright years.
    - Mention Hugo's work.

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Sun, 22 Feb 2015 00:31:23 +0100

letterize (1.3-5) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6

 -- Francois Marier <francois@debian.org>  Thu, 18 Sep 2014 23:44:18 +1200

letterize (1.3-4) unstable; urgency=low

  [ John Billings ]
  * Bump Standards-Version to 3.9.5
  * Fix canonical VCS uri

  [ Francois Marier ]
  * Merge John's patch

 -- Francois Marier <francois@debian.org>  Sat, 19 Jul 2014 18:10:07 +1200

=== debian/control ===
Source: letterize
Section: misc
Priority: optional
Maintainer: Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper-compat (= 13), xmlto
Standards-Version: 4.6.0
Homepage: http://www.catb.org/~esr/letterize/
Vcs-Browser: https://salsa.debian.org/debian/letterize
Vcs-Git: https://salsa.debian.org/debian/letterize.git
Rules-Requires-Root: no

Package: letterize
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: phone digits to letter-mnemonics
 This program tries to help you find a letter mnemonic matching a
 given phone number.
 .
 It generates alphabetic mnemonics for the number, then filters
 them for phonetic plausibility in English, and displays the filtered
 list (usually a few hundred suggestions for a 7-digits phone-number).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4
http://www.catb.org/~esr/letterize/ letterize-(.*)\.tar\.gz

## letterize 1.5

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,27 @@
 #
 # Makefille for the phone-number letterizer
 #
-VERS=1.4
+# SPDX-FileCopyrightText: (C) Eric S. Raymond <esr@thyrsus.com>
+# SPDX-License-Identifier: BSD-2-Clause
+
+VERS=$(shell sed -n <NEWS '/^[0-9]/s/:.*//p' | head -1)
 
 all: letterize
 
 letterize: letterize.c
 
-SOURCES = README COPYING NEWS letterize.xml Makefile letterize.c
+SOURCES = README COPYING NEWS letterize.adoc Makefile letterize.c
 
-letterize.1: letterize.xml
-	xmlto man letterize.xml
+# Note: to suppress the footers with timestamps being generated in HTML,
+# we use "-a nofooter".
+# To debug asciidoc problems, you may need to run "xmllint --nonet --noout --valid"
+# on the intermediate XML that throws an error.
+.SUFFIXES: .html .adoc .1
 
-letterize.html: letterize.xml
-	xmlto html-nochunks letterize.xml
+.adoc.1:
+	asciidoctor -D. -a nofooter -b manpage $<
+.adoc.html:
+	asciidoctor -D. -a nofooter -a webfonts! $<
 
 letterize-$(VERS).tar.gz: $(SOURCES) letterize.1
 	@ls $(SOURCES) letterize.1 | sed s:^:letterize-$(VERS)/: >MANIFEST
@@ -32,6 +40,12 @@
 uninstall:
 	rm -f /usr/bin/letterize /usr/share/man/man1/letterize.1
 
+reflow:
+	@clang-format --style="{IndentWidth: 8, UseTab: ForIndentation}" -i $$(find . -name "*.[ch]")
+
+version:
+	@echo $(VERS)
+
 dist: letterize-$(VERS).tar.gz
 
 release: letterize-$(VERS).tar.gz letterize.html

=== debian/changelog ===
letterize (1.5-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer (Closes: #1050242)
  * debian/control:
    - Add new maintainer's name to maintainer field.
    - Change build-dependency from xmlto to asciidoctor.
    - Bump Standards-Version to 4.6.2
  * debian/copyright:
    - Add new maintainer to copyright field.
  * Add debian/upstream/metadata

 -- Shriram Ravindranathan <s20n@ters.dev>  Sat, 10 Feb 2024 12:22:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: letterize
 Section: misc
 Priority: optional
-Maintainer: Hugo Lefeuvre <hle@debian.org>
-Build-Depends: debhelper-compat (= 13), xmlto
-Standards-Version: 4.6.0
+Maintainer: Shriram Ravindranathan <s20n@ters.dev>
+Build-Depends: debhelper-compat (= 13), asciidoctor
+Standards-Version: 4.6.2
 Homepage: http://www.catb.org/~esr/letterize/
 Vcs-Browser: https://salsa.debian.org/debian/letterize
 Vcs-Git: https://salsa.debian.org/debian/letterize.git
